net.sourceforge.pmd.stat

## Class Metric

- java.lang.Object
- - net.sourceforge.pmd.stat.Metric

-     public class Metric
      extends Object

  Author:
    David Dixon-Peugh

    This class holds all sorts of statistical information.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Metric(String name, int count, double total, double low, double high, double mean, double stddev)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAverage()`
    `int` | `getCount()`
    `double` | `getHighValue()`
    `double` | `getLowValue()`
    `String` | `getMetricName()`
    `double` | `getStandardDeviation()`
    `double` | `getTotal()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Metric

          public Metric(String name,
                int count,
                double total,
                double low,
                double high,
                double mean,
                double stddev)

  - ### Method Detail

    - #### getMetricName

          public String getMetricName()

    - #### getLowValue

          public double getLowValue()

    - #### getHighValue

          public double getHighValue()

    - #### getAverage

          public double getAverage()

    - #### getStandardDeviation

          public double getStandardDeviation()

    - #### getCount

          public int getCount()

    - #### getTotal

          public double getTotal()

Copyright © 2002-2013 InfoEther. All Rights Reserved.